net.corda.core.utilities

## Class TimeWindow

- net.corda.core.utilities.TimeWindow

-     public class TimeWindow

  A class representing a window in time from a particular instant, lasting a specified duration.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeWindow(java.time.Instant start, java.time.Duration duration)` A class representing a window in time from a particular instant, lasting a specified duration.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.time.Instant` | `component1()`
    `java.time.Duration` | `component2()`
    `TimeWindow` | `copy(java.time.Instant start, java.time.Duration duration)` A class representing a window in time from a particular instant, lasting a specified duration.
    `boolean` | `equals(java.lang.Object p)`
    `java.time.Duration` | `getDuration()`
    `java.time.Instant` | `getEnd()`
    `java.time.Instant` | `getStart()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### TimeWindow

          public TimeWindow(java.time.Instant start,
                            java.time.Duration duration)

      A class representing a window in time from a particular instant, lasting a specified duration.

  - ### Method Detail

    - #### getEnd

          public java.time.Instant getEnd()

    - #### getStart

          public java.time.Instant getStart()

    - #### getDuration

          public java.time.Duration getDuration()

    - #### component1

          public java.time.Instant component1()

    - #### component2

          public java.time.Duration component2()

    - #### copy

          public TimeWindow copy(java.time.Instant start,
                                 java.time.Duration duration)

      A class representing a window in time from a particular instant, lasting a specified duration.

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)